# Copyright (c) 2021, JINGROW and Contributors
# MIT License. See license.txt


import functools

import jingrow


@jingrow.whitelist()
def get_google_fonts():
	return _get_google_fonts()


@functools.lru_cache
def _get_google_fonts():
	file_path = jingrow.get_app_path("jingrow", "data", "google_fonts.json")
	return jingrow.parse_json(jingrow.read_file(file_path))
